Subject: bug#22534: File notify broken on Windows

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Feb 2016 23:03:13 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 08 Feb 2016 21:51:09 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Expensive checks are skipped only for "make check" and "make
> >> check-maybe". "make file-notify-tests" run all possible tests in
> >> that file.
> >
> > That's inconsistent, won't you agree?
> 
> No. If you want to run the tests of a given file, you don't want to
> discriminate them. Otherwise, you could run expensive tests in that file
> only when you call "make check-expensive". Not acceptable, IMO.

That's your logic, not mine.  If I want all the tests, I will say so.

> >> The syntax of selectors is given by ert. See (info "(ert) Test Selectors")
> >
> > I understood the syntax by looking at what Makefile does.  But it's
> > hardly convenient (or pretty) to type Lisp expressions on the Make
> > command line, IMO.
> 
> What would you recommend else? Introduce another syntax for selectors?

Something like "make file-notify-tests TEST=06", for example.